TechDraw Ajout point cosmétique

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw CosmeticVertex and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano
Arrow-left.svg Page précédente : TechDraw RichTextAnnotation.svg Annotation en texte enrichi
Page suivante : Point milieu Techdraw-midpoint.svg Arrow-right.svg

TechDraw CosmeticVertex.svg TechDraw Cosmetic Vertex

Emplacement du menu
TechDraw → Add Vertices → Add Cosmetic Vertex
Ateliers
Atelier TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
TechDraw Point milieu, TechDraw Ajout sommets quadrants


Description

L'outil Cosmetic Vertex ajoute un Vertex qui ne fait pas partie de la géométrie d'origine à une vue. Ce point se comporte comme n'importe quel autre point et peut être utilisé pour le dimensionnement.

TechDraw CosmeticVertex Sample.png

Point cosmétique utilisé pour créer une dimension supplémentaire


Utilisation

  1. Sélectionnez une vue dans le dessin.
  2. Appuyez sur le bouton TechDraw CosmeticVertex.svg Add Cosmetic Vertex.
  3. Une boîte de dialogue de tâche s'ouvre. Il permet de définir l'emplacement du sommet cosmétique en sélectionnant un point ou en saisissant un décalage x, y par rapport au centre de la vue sélectionnée.
  4. Pour choisir une position, appuyez sur le bouton Point Picker. Cliquez sur une position dans la vue et appuyez ensuite sur OK pour créer le point. Pour quitter la sélection de points sans créer de sommet cosmétique, appuyez sur le bouton Escape picking dans la boîte de dialogue.

Pour supprimer un sommet cosmétique (Cosmetic Vertex), sélectionnez-le et utilisez le bouton de la barre d'outils TechDraw CosmeticEraser.svg TechDraw Gomme.

Remarque: vous ne pouvez pas modifier l'emplacement du Cosmetic Vertex après sa création. Pour le moment, il n'y a pas d'autre moyen que de le supprimer et d'en créer un nouveau.

Propriétés

Les points cosmétiques n'ont pas de propriétés propres car ils ne sont pas des objets du document. Ils partagent les paramètres de couleur et de taille avec des points de géométrie réguliers.

Script

Voir aussi : TechDraw API et FreeCAD Scripts de base.

Les points cosmétiques sont accessibles par les macros ou par la console Python.

dvp = App.ActiveDocument.View
org = App.Vector(0.0, 0.0, 0.0)
dvp.makeCosmeticVertex(org);

#lines too!
start = FreeCAD.Vector (1.0, 5.0, 0.0)
end = FreeCAD.Vector(1.0, -5.0, 0.0)
style = 2
weight = 0.75
pyGreen = (0.0, 0.0, 1.0, 0.0)
dvp.makeCosmeticLine(start,end,style, weight, pyGreen)


Arrow-left.svg Page précédente : TechDraw RichTextAnnotation.svg Annotation en texte enrichi
Page suivante : Point milieu Techdraw-midpoint.svg Arrow-right.svg